Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.datatags
Class ViewCriteriaTag

`java.lang.Object
javax.servlet.jsp.tagext.TagSupport
oracle.jbo.html.jsp.datatags.ViewCriteriaTag`

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class ViewCriteriaTag
extends javax.servlet.jsp.tagext.TagSupport

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ACTION_CRIT_APPEND`
`static java.lang.String` | `ACTION_CRIT_NEW`
`protected java.lang.String` | `sAction`
`protected java.lang.String` | `sDataSource`
`protected ViewCriteria` | `vc`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ViewCriteriaTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()` Process the start tag for this instance.
`ViewCriteria` | `getViewCriteria()`
`void` | `release()` release() called after doEndTag() to reset state
`void` | `setAction(java.lang.String sValue)`
`void` | `setDatasource(java.lang.String sValue)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_CRIT_NEW

    public static final java.lang.String ACTION_CRIT_NEW

  See Also:
    Constant Field Values

### ACTION_CRIT_APPEND

    public static final java.lang.String ACTION_CRIT_APPEND

  See Also:
    Constant Field Values

### sDataSource

    protected java.lang.String sDataSource

### sAction

    protected java.lang.String sAction

### vc

    protected ViewCriteria vc

Constructor Detail

### ViewCriteriaTag

    public ViewCriteriaTag()

Method Detail

### setDatasource

    public void setDatasource(java.lang.String sValue)

### setAction

    public void setAction(java.lang.String sValue)

### getViewCriteria

    public ViewCriteria getViewCriteria()

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.
  Returns:
    EVAL_BODY_INCLUDE if the tag wants to process body, SKIP_BODY if it does ont want to process it.
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### release

    public void release()

  release() called after doEndTag() to reset state

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.